EDIT - feature request #9894

Make primary collector editable for field unit
12/08/2021 04:49 PM - Andreas Muller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.29

Severity: normal

Description

FieldUnit has a field primaryCollector of type Person. This seems not to be editalbe in the FieldUnit details view yet.

The field should only be editable if the main collector is a team.

If possible the selectable persons should be from the team members list only.

Related issues:

Related to EDIT - task #9678: Remove Derived- and FieldUnitFacadeCacheStrategies
Related to EDIT - feature request #5951: Add collector, field number and coll...
Related to EDIT - feature request #9879: Short title for field and derived units

Related to EDIT - bug #9962: Primary Collector is not disabled when no collec...

Closed
New
New
Closed

Associated revisions

Revision 4faee5bc - 01/05/2022 01:01 PM - Katja Luther

ref #9894: add field primary collector and handle as described in ticket

Revision 498bb6e4 - 01/05/2022 03:02 PM - Katja Luther

ref #9894: remove strange import

Revision edd2c54e - 01/24/2022 02:34 PM - Katja Luther

ref #9900: use collectorSelectiondialog also for new teams

History

#1 - 12/08/2021 04:55 PM - Andreas Miuller

- Related to task #9678: Remove Derived- and FieldUnitFacadeCacheStrategies added

#2 - 12/08/2021 04:56 PM - Andreas Miuller

- Tags changed from fast to fast, formatting, specimen

#3 - 12/08/2021 04:56 PM - Andreas Miuller

- Related to feature request #5951: Add collector, field number and collection to specimen search label added

#4 - 12/08/2021 04:56 PM - Andreas Miiller
- Related to feature request #9879: Short title for field and derived units added

#5 - 12/08/2021 05:04 PM - Andreas Miiller
- Tags changed from fast, formatting, specimen to formatting, specimen

- Description updated

#6 - 01/05/2022 01:04 PM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 40
This is implemented with a selection dialog, maybe it would be easier to use with a drop down, filled with the team members. But as a first
implementation it can be used.

#7 - 01/20/2022 11:25 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 40 to 100

Seems to work as expected.

#8 - 01/20/2022 11:30 PM - Andreas Miiller
- Status changed from Closed to Feedback
- % Done changed from 100 to 80

... No, not yet ready. After entering a team and a primary collector for a field unit and then setting the focus to another record in the derivative tree and
then going back to the field unit the primary collector is shown in the collector field and the primary collector field is empty. Also the formatting is not
correct (as it is as if the primary collector is the only collector). Looks like things are stored at the wrong place.

#9 - 01/24/2022 02:38 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Andreas Muller wrote in #note-8:

... No, not yet ready. After entering a team and a primary collector for a field unit and then setting the focus to another record in the derivative tree
and then going back to the field unit the primary collector is shown in the collector field and the primary collector field is empty. Also the
formatting is not correct (as it is as if the primary collector is the only collector). Looks like things are stored at the wrong place.

This is fixed, please review.

#10 - 01/24/2022 04:03 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Mtiller to Katja Luther

- % Done changed from 80 to 100

Works as expected now.

#11 - 02/15/2022 03:40 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.29

#12 - 03/01/2022 03:26 PM - Andreas Miiller

- Related to bug #9962: Primary Collector is not disabled when no collector is selected added
